import { IEditorInput, CloseDirection, IEditorOpenOptions, EditorInput } from '@workbench-stack/core';
export declare function indexOf(candidate: EditorInput | null, editors: IEditorInput[]): number;
export declare function getEditors(): IEditorInput[];
export declare function indexOfActiveEditor(editors: IEditorInput[]): number;
export declare function activeEditor(editors: IEditorInput[]): IEditorInput | null;
export declare function indexOfPreopenEditor(editors: IEditorInput[]): number;
export declare function matches(editorA: EditorInput | null, editorB: EditorInput | null): boolean;
export declare function preopenEditor(editors: IEditorInput[]): IEditorInput;
export declare function activateEditor(editorInput: EditorInput, editors: IEditorInput[]): IEditorInput[];
export declare function pin(editorInput: EditorInput, editors: IEditorInput[]): IEditorInput[];
export declare function unpin(editorInput: EditorInput, editors: readonly IEditorInput[]): IEditorInput[];
export declare function openEditor(editorInput: IEditorInput, editorOpenedFiles: IEditorInput[], options?: IEditorOpenOptions): IEditorInput[];
export declare function closeEditor(editorInput: EditorInput, editors: IEditorInput[], options?: {
    openNext?: boolean;
    focusRecentEditorAfterClose?: boolean;
}): IEditorInput[];
export declare function closeEditors(except: EditorInput, editors: IEditorInput[], direction?: CloseDirection): IEditorInput[];
export declare function closeAllEditors(editors: IEditorInput[]): IEditorInput[];
export declare function moveEditor(editorInput: IEditorInput, editors: IEditorInput[], toIndex: number): IEditorInput[];
export declare function contains(editorOrResource: EditorInput | string, editors: IEditorInput[], supportSideBySide?: boolean): boolean;
