import { CacheTypenames } from '@workbench-stack/core';
export declare const defaults: {
    Context: {
        resourceScheme: string;
        resourceFilename: string;
        resourceLangId: string;
        resource: string;
        resourceExtName: string;
        resourceSet: string;
        isFileSystemResource: string;
        originalResourceScheme: string;
        view: string;
        viewItem: string;
        gitOpenRepositoryCount: string;
        isInDiffEditor: string;
        isInDiffRightEditor: string;
        inputFocus: string;
        suggestWidgetVisible: string;
        suggestWidgetMultipleSuggestions: string;
        suggestionMakesTextEdit: string;
        acceptSuggestionOnEnter: string;
        hasOtherSuggestions: string;
        groupFocusedInOpenEditors: string;
        dirtyEditor: string;
        resourceSelectedForCompare: string;
        fileCopied: string;
        breadcrumbsPossible: string;
        breadcrumbsVisible: string;
        breadcrumbsActive: string;
        canNavigateBack: string;
        canNavigateForward: string;
        canNavigateToLastEditLocation: string;
        dirtyDiffVisible: string;
        cancellableOperation: string;
        parameterHintsVisible: string;
        parameterHintsMultipleSignatures: string;
        markdownPreviewFocus: string;
        isMac: string;
        isLinux: string;
        isWindows: string;
        remoteAuthority: string;
        remoteConnectionState: string;
        hasMacNativeTabs: string;
        supportsWorkspaces: string;
        isDevelopment: string;
        workbenchState: string;
        workspaceFolderCount: string;
        remoteFileDialogVisible: string;
        isFullscreen: string;
        atEndOfWord: string;
        scmRepository: string;
        scmProvider: string;
        scmResourceGroup: string;
        inDiffEditorKey: string;
        isDominatedByLongLines: string;
        isWordWrapMinified: string;
        commentThread: string;
        commentThreadisEmpty: string;
        commentIsEmpty: string;
        commentEditorFocused: string;
        interfaceOverviewVisible: string;
        inReferenceSearchEditor: string;
        referenceSearchVisible: string;
        listFocus: string;
        listSupportsMultiSelect: string;
        listHasSelectionOrFocus: string;
        listDoubleSelection: string;
        listMultiSelection: string;
        listSupportsKeyboardNavigation: string;
        WorkbenchListAutomaticKeyboardNavigationKey: string;
        accessibilityHelpWidgetVisible: string;
        inQuickOpenKey: string;
        supportedCodeAction: string;
        hasSymbols: string;
        hasSnippetCompletions: string;
        messageVisible: string;
        editorHasCallHierarchyProvider: string;
        callHierarchyVisible: string;
        searchViewletVisible: string;
        searchViewletFocus: string;
        inputBoxFocus: string;
        searchInputBoxFocus: string;
        replaceInputBoxFocus: string;
        patternIncludesInputBoxFocus: string;
        patternExcludesInputBoxFocus: string;
        replaceActive: string;
        hasSearchResult: string;
        firstMatchFocus: string;
        fileMatchOrMatchFocus: string;
        fileMatchOrFolderMatchFocus: string;
        fileMatchFocus: string;
        folderMatchFocus: string;
        matchFocus: string;
        inRecentFilesPicker: string;
        inWindowsPicker: string;
        findWidgetVisible: string;
        findInputFocussed: string;
        replaceInputFocussed: string;
        editorTextFocus: string;
        editorFocus: string;
        textInputFocus: string;
        editorReadonly: string;
        editorHasSelection: string;
        editorHasMultipleSelections: string;
        editorTabMoveFocus: string;
        isInEmbeddedEditor: string;
        canUndo: string;
        canRedo: string;
        editorLangId: string;
        editorHasCompletionItemProvider: string;
        editorHasCodeActionsProvider: string;
        editorHasDefinitionProvider: string;
        editorHasDeclarationProvider: string;
        editorHasImplementationProvider: string;
        editorHasTypeDefinitionProvider: string;
        editorHasHoverProvider: string;
        editorHadDocumentHighlightProvider: string;
        editorHasDocumentSymbolProvider: string;
        editorHasReferenceProvider: string;
        editorHasRenameProvider: string;
        editorHasSignatureHelpProvider: string;
        editorHasDocumentFormattingProvider: string;
        editorHasDocumentSelectionFormattingProvider: string;
        editorHasMultipleDocumentSelectionFormattingProvider: string;
        activeEditor: string;
        editorIsOpen: string;
        editorPinned: string;
        groupActiveEditorDirty: string;
        groupEditorsCount: string;
        textCompareEditorVisible: string;
        textCompareEditorActive: string;
        activeEditorGroupEmpty: string;
        multipleEditorGroups: string;
        inZenMode: string;
        inCenteredLayout: string;
        splitEditorsVertically: string;
        sideBarVisible: string;
        sideBarFocus: string;
        activeViewlet: string;
        activePanel: string;
        panelFocus: string;
        panelPosition: string;
        debugType: string;
        debugConfigurationType: string;
        debugState: string;
        inDebugMode: string;
        inDebugRepl: string;
        breakpointWidgetVisible: string;
        watchExpressionsFocused: string;
        variablesFocused: string;
        expressionSelected: string;
        breakpointSelected: string;
        callStackItemType: string;
        loadedScriptsSupported: string;
        loadedScriptsItemType: string;
        focusedSessionIsAttach: string;
        stepBackSupported: string;
        restartFrameSupported: string;
        inSettingsEditor: string;
        inSettingsJSONEditor: string;
        inSettingsSearch: string;
        settingsTocRowFocus: string;
        inKeybindings: string;
        inKeybindingsSearch: string;
        keybindingFocus: string;
        explorerViewletVisible: string;
        explorerResourceIsFolder: string;
        explorerResourceReadonly: string;
        explorerResourceIsRoot: string;
        explorerResourceCut: string;
        explorerResourceMoveableToTrash: string;
        filesExplorerFocus: string;
        openEditorsVisible: string;
        openEditorsFocus: string;
        explorerViewletFocus: string;
        terminalIsOpen: string;
        terminalFocus: string;
        terminalTextSelected: string;
        terminalFindWidgetVisible: string;
        terminalFindWidgetInputFocused: string;
        terminalFindWidgetFocused: string;
        webviewFindWidgetVisible: string;
        taskRunning: string;
        referenceSearchTreeFocused: string;
        interactivePlaygroundFocus: string;
        outlineFiltered: string;
        outlineFocused: string;
        problemsViewFocus: string;
        problemFocus: string;
        problemsFilterFocus: string;
        relatedInformationFocus: string;
        inOutput: string;
        activeLogOutput: string;
        multiCursorModifier: string;
        saveConflictResolutionContext: string;
        markersNavigationVisible: string;
        hasWordHighlights: string;
        profileSessionState: string;
        extensionHostProfileRecorded: string;
        historyNavigationEnabled: string;
        historyNavigationWidget: string;
        nonEmptyWorkspace: string;
        defaultExtensionViews: string;
        searchMarketplaceExtensions: string;
        searchInstalledExtensions: string;
        searchOutdatedExtensions: string;
        searchEnabledExtensions: string;
        searchDisabledExtensions: string;
        hasInstalledExtensions: string;
        searchBuiltInExtensions: string;
        recommendedExtensions: string;
        defaultRecommendedExtensions: string;
        workspaceRecommendations: string;
        workspaceFolderRecommendations: string;
        addToWorkspaceRecommendations: string;
        addToWorkspaceFolderRecommendations: string;
        __typename: CacheTypenames;
    };
};
