import { SimpleKeybinding } from '@vscode/monaco-editor/esm/vs/base/common/keyCodes';
import { ScanCodeBinding } from '@vscode/monaco-editor/esm/vs/base/common/scanCode';
import { IUserFriendlyKeybinding } from '@vscode/monaco-editor/esm/vs/platform/keybinding/common/keybinding';
import { ResolvedKeybindingItem } from '@vscode/monaco-editor/esm/vs/platform/keybinding/common/resolvedKeybindingItem';
import { ContextKeyExpression } from '@workbench-stack/core';
export interface IUserKeybindingItem {
    parts: (SimpleKeybinding | ScanCodeBinding)[];
    command: string | null;
    commandArgs?: any;
    when: ContextKeyExpression | undefined;
}
export declare class KeybindingIO {
    static writeKeybindingItem(out: OutputBuilder, item: ResolvedKeybindingItem): void;
    static readUserKeybindingItem(input: IUserFriendlyKeybinding): IUserKeybindingItem;
}
export declare class OutputBuilder {
    private _lines;
    private _currentLine;
    write(str: string): void;
    writeLine(str?: string): void;
    toString(): string;
}
