import { IModelService } from '@workbench-stack/core';
import { URI } from '@vscode/monaco-editor/esm/vs/base/common/uri';
import { ITextModel, ITextBufferFactory, ITextModelCreationOptions } from '@vscode/monaco-editor/esm/vs/editor/common/model';
import { IModelService as IEditorModelService } from '@vscode/monaco-editor/esm/vs/editor/common/services/modelService';
import { ILanguageSelection } from '@vscode/monaco-editor/esm/vs/editor/common/services/modeService';
export declare class ModelService implements IModelService {
    onModelAdded: any;
    onModelRemoved: any;
    onModelModeChanged: any;
    private static _modelService;
    constructor();
    static getModelService(): IEditorModelService;
    createModel(value: string | ITextBufferFactory, languageSelection: string | ILanguageSelection, resource: URI, isForSimpleWidget?: boolean): ITextModel;
    updateModel(model: ITextModel, value: string | ITextBufferFactory): void;
    setMode(model: ITextModel, languageSelection: ILanguageSelection): void;
    getModel(uri: URI): ITextModel | null;
    getCreationOptions(language: string, resource: URI, isForSimpleWidget: boolean): ITextModelCreationOptions;
    getModels(): ITextModel[];
    destroyModel(resource: URI): void;
}
