import { ApolloClient } from 'apollo-client';
import { InMemoryCache } from 'apollo-cache-inmemory';
import { IQuickInputService, IPickItem, IPickInputOptions, IInputOptions } from '@workbench-stack/core';
export declare class QuickInputService implements IQuickInputService {
    protected client: ApolloClient<any>;
    protected cache: InMemoryCache;
    constructor(client: ApolloClient<any>, cache: InMemoryCache);
    cancel(): Promise<void>;
    input(options?: IInputOptions): Promise<string | undefined>;
    pick(picks: IPickItem[], options?: IPickInputOptions): Promise<boolean>;
    setSelected(selectedValue: IPickItem[], inputValue: string): Promise<boolean>;
}
